<?php
require_once('config.php');
require_once('facebook_stuff/facebook.php');
require_once('class_vurl.php');

try {
    $facebook = new Facebook(array(
        'appId'  => FACEBOOK_APP_ID,
        'secret' => FACEBOOK_SECRET_KEY,
        'cookie' => true,
        'domain' => FACEBOOK_APP_SITEURL
    ));
    
    if(!validate_sr($_REQUEST['signed_request'])) {
        header("HTTP/1.0 404 Not Found");
        exit;
    }
    
    $sr_json = $facebook->getSignedRequest();
    if(isset($sr_json)) {
        
        $vurl = new vB_vURL();
        
        $vurl->set_option(VURL_RETURNTRANSFER, true);       
        $vurl->set_option(VURL_URL, "http://dev-vb1.internetbrands.com:9999/services/vbfacebook/v1/deauthorize?licenseKey=1&facebookProfileId=".$sr_json['user_id']);
        
        $result = $vurl->exec();
        
        header("HTTP/1.0 200 OK");
        exit;
        
    } else {
        header("HTTP/1.0 404 Not Found");
        exit;
    }
} catch(Exception $e) {
    error_log("deauthorize_error: " . var_export($e, true));
}

function validate_sr($sr)
{
    if(!isset($sr))
        return false;
    
    $sr_arr = explode('.', $sr, 2);
    
    if(!is_array($sr_arr) || count($sr_arr) != 2)
        return false;
    
    return true;
}
?>